Bug 170047 - FC4 gnome GUI stops while updating tetex-fonts
FC4 gnome GUI stops while updating tetex-fonts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-06 16:15 EDT by Heikki Stahl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:25:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heikki Stahl 2005-10-06 16:15:53 EDT
Description of problem: Fresh installation of Fedora Core 4 GUI gets into a
total standstill at the end of first up2date installation of tetex-fonts.


Version-Release number of selected component (if applicable):
tetex-fonts-3.0-6.FC4.i386.rpm


How reproducible: Always during the first up2date (repeating the up2date after
the unsuccessful attempt leads to a package inconsistency error).


Steps to Reproduce:
1. Perform a brand new Personal Desktop installation of FC4 from iso-CDs,
english version, finnish keyboard layout, CD media tested OK
2. While the initial FC4 installation is completed and the gnome is running,
douple klick the up2date icon on the top bar. Select packages to be updated.
Ensure that tetex-fonts is on the list.
3. Retrieving of all the selected packages will be successful.
4. Once the horizontal bar reaches the far end while up2date is installing the
tetex-fonts-3.0-6.FC4.i386.rpm, FC4 GUI stops totally. Mouse pointer's
"sandglass" stops revolving, it is not possible to move the mouse pointer, no
response via keyboard, not even CTRL+ALT+DEL. Whole PC is in a total standstill.
 FC4 GUI is still visible.
  
Actual results: First up2date installation remains unfinished. Rest of the
packages remains un-updated. It seems that it is not possible to re-run the
up2date with currently downloaded packages. What happens with possible new
packages remains unknown.


Expected results: Successful up2date


Additional info: 
Motherboard: Intel D815EEA, BIOS EA81510A.86A.0051.P11
Processor: Intel Pentium III 733 MHz
Memory: 512 MB
Hard drive: IDE 80 GB 
single boot
Comment 1 Jindrich Novy 2005-10-07 11:30:23 EDT
Hmmm, this doesn't look like the teTeX installation problem as nothing the
package installation process doesn't do anything harmful so the system shouldn't
crash the system to the total hang. Are you able to switch to the first text
terminal (Ctrl-Alt-F1) after the computer hangs? Are you able to reproduce it
for multiple times?
Comment 2 Heikki Stahl 2005-10-08 15:32:36 EDT
"Are you able to switch to the first text terminal (Ctrl-Alt-F1) after the
computer hangs?"

Just to be shure that I have understood your question correctly: do you mean
that I should repeat the whole FC4 installation and run the up2date until the
system hangs and then try Ctrl-Alt-F1? I'm sorry, that I'm a bit novice with
Linux: should this key combination take me to some console window or totally
outside the gnome gui?

"Are you able to reproduce it for multiple times?"

If you mean, can I reproduce the hang situation multiple times? The answer is,
yes I can. I have done the FC4 installation from the beginning four times. Next
I have started the up2date using the default and three different mirror sites by
replacing the http address in the /etc/sysconfig/rhn/sources line:

repomd fedora http://fedora.redhat.com/

with relevant mirror sites in Estonia, Denmark and Sweden.
In every attempt the outcome has been exactly the same, system hangs always in
the same way. (Just like entering a never ending loop?)
Comment 3 Jindrich Novy 2005-10-10 05:49:25 EDT
Yes, anaconda (the installation system) redirects output from GUI programs to
the second and third text terminal where failures are reported. So that
switching there using ctrl-alt-F2 and F3 from the GUI could reveal a possible
problem. Could you try to do that a report here what you see there?
Comment 4 Heikki Stahl 2005-10-11 14:36:47 EDT
Hi,
I re-installed FC4 and started up2date. Before the actual download I checked
that tetex-fonts-3.0-6.FC4.i386.rpm was among those packages to be updated.
While downloading was going on I switched to the text terminal (Cnrl-Alt-F1) and
logged in with my user Id & password.

While downloading and eventually installing started I switched every now and
then to the text terminal and back (Cnrl-Alt-F7) to gnome GUI to check, how far
I have proceeded with the installation.

When up2date started to install tetex-fonts package I switched to text terminal.
There was nothing printed so far in the text terminal. But as soon as up2date
had completed (I quess) the installation of tetex-fonts, the text terminal went
crazy. It printed some text so fast that it was impossible to read. I didn't
find a keyboard combination that would have stopped the printing. 

Majority of the text lines seemed to start with a text "audit: ". After that
there were some 40..43 rapidly changing characters. Majority of the text lines
ended with "_backlog_limit=256". Every now and then there was also a flash of
longer text line. 

This wild printting went on and on. Only way to stop it was to press the
motherboard's Reset button.
Comment 5 Jindrich Novy 2005-10-13 03:34:44 EDT
Ah, I see a little misunderstanding here. Up to now I was under impression that
you install a brand new Fedora using anaconda and the instalation process hangs
somewhere there.

Well, updating your system using up2date isn't recomended as there exist some
less buggy tools to do so such as yum. I updated to
tetex-fonts-3.0-6.FC4.i386.rpm successfully using yum so the bug is likely in
up2date.

Feel free to reassign this bug to up2date, but you should give a try to use yum ;)

Does the system update hang using yum?
Comment 6 Heikki Stahl 2005-10-13 05:14:42 EDT
In Fedora Project's 'Updating Your System with yum' web-page there is a simple
advice to use command:

su -c 'yum update'

Using this most propably installs also all _not_so_stabile_ packages (testing &
development packages). I wouldn't like to install those. Anyway I'll try this
method to-night.

How do I reassign this bug to up2date? 
Comment 7 Jindrich Novy 2005-10-13 07:57:08 EDT
I can reassign the bug to up2date if you want. You can use configuration files
in /etc/yum.repos.d/ files to define what repository is used to update your
system. In case of FC4 updates, I see 99% of them are stable and you don't need
to install test and devel packages at all. (this is disabled by default in yum
configuration AFAIR)

Reassigning to up2date.
Comment 8 Heikki Stahl 2005-10-13 16:16:39 EDT
Re-installed FC4 again. 
Updated packages with yum (su -c 'yum update') while having default settings in
/etc/yum.repos.d/ files. No problems to update tetex-fonts-3.0-6.FC4.i386. Seems
that the problem was intially in up2date.

Here a stupid question:
Why the up2date icon is still red with blinking exclamation mark?
Comment 9 John Thacker 2006-10-29 15:24:44 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 10 John Thacker 2006-11-05 11:25:54 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.